summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorGeorge Shapovalov <george@gentoo.org>2008-02-13 20:12:17 +0000
committerGeorge Shapovalov <george@gentoo.org>2008-02-13 20:12:17 +0000
commit2fe6d6ccc1d52ce6e071c1363ccf4ff7dfa7251c (patch)
tree8789802ee1ad3351ebb3507aa19296abd4cc2009 /eclass
parentBumped to latest release. Introduced new java5/java6 use flags to control jdk... (diff)
downloadhistorical-2fe6d6ccc1d52ce6e071c1363ccf4ff7dfa7251c.tar.gz
historical-2fe6d6ccc1d52ce6e071c1363ccf4ff7dfa7251c.tar.bz2
historical-2fe6d6ccc1d52ce6e071c1363ccf4ff7dfa7251c.zip
fixed quoting
Diffstat (limited to 'eclass')
-rw-r--r--eclass/gnat.eclass10
-rw-r--r--eclass/gnatbuild.eclass18
2 files changed, 14 insertions, 14 deletions
diff --git a/eclass/gnat.eclass b/eclass/gnat.eclass
index 2ffaa4645716..9dbd43953695 100644
--- a/eclass/gnat.eclass
+++ b/eclass/gnat.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.33 2008/01/06 19:30:24 swegener Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnat.eclass,v 1.34 2008/02/13 20:09:27 george Exp $
#
# Author: George Shapovalov <george@gentoo.org>
# Belongs to: ada herd <ada@gentoo.org>
@@ -423,10 +423,10 @@ gnat_src_install() {
cp -dpR "${DLbin}-${compilers[${i}]}" "${D}/${DLlocation}"/bin
cp -dpR "${DLgpr}-${compilers[${i}]}" "${D}/${DLlocation}"/gpr
# create profile-specific specs file
- cp ${LibEnv} ${D}/${SPECSDIR}/${PN}/${compilers[${i}]}
- sed -i -e "s:%DL%:${DLlocation}/${PN}:g" ${D}/${SPECSDIR}/${PN}/${compilers[${i}]}
- sed -i -e "s:%DLbin%:${DLlocation}/bin:g" ${D}/${SPECSDIR}/${PN}/${compilers[${i}]}
- sed -i -e "s:%DLgpr%:${DLlocation}/gpr:g" ${D}/${SPECSDIR}/${PN}/${compilers[${i}]}
+ cp ${LibEnv} "${D}/${SPECSDIR}/${PN}/${compilers[${i}]}"
+ sed -i -e "s:%DL%:${DLlocation}/${PN}:g" "${D}/${SPECSDIR}/${PN}/${compilers[${i}]}"
+ sed -i -e "s:%DLbin%:${DLlocation}/bin:g" "${D}/${SPECSDIR}/${PN}/${compilers[${i}]}"
+ sed -i -e "s:%DLgpr%:${DLlocation}/gpr:g" "${D}/${SPECSDIR}/${PN}/${compilers[${i}]}"
else
einfo "skipping gnat profile ${compilers[${i}]}"
fi
diff --git a/eclass/gnatbuild.eclass b/eclass/gnatbuild.eclass
index 3f5afb9f0f71..b8df9a79b0bb 100644
--- a/eclass/gnatbuild.eclass
+++ b/eclass/gnatbuild.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.36 2008/02/11 15:12:31 george Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/gnatbuild.eclass,v 1.37 2008/02/13 20:12:17 george Exp $
#
# Author: George Shapovalov <george@gentoo.org>
# Belongs to: ada herd <ada@gentoo.org>
@@ -317,7 +317,7 @@ gnatbuild_src_unpack() {
unpack ${A}
pax-mark E $(find ${GNATBOOT} -name gnat1)
- cd ${S}
+ cd "${S}"
# patching gcc sources, following the toolchain
if [[ -d "${FILESDIR}"/${SLOT} ]] ; then
EPATCH_MULTI_MSG="Applying Gentoo patches ..." \
@@ -346,7 +346,7 @@ gnatbuild_src_unpack() {
done
# regenerate some configures tp fix ACT's omissions
- pushd ${S}/gnattools &> /dev/null
+ pushd "${S}"/gnattools &> /dev/null
eautoconf
popd &> /dev/null
;;
@@ -364,7 +364,7 @@ gnatbuild_src_unpack() {
# add -fPIC flag to shared libs for 3.4* backend
if [ "3.4" == "${GCCBRANCH}" ] ; then
cd ada
- epatch ${FILESDIR}/gnat-Make-lang.in.patch
+ epatch "${FILESDIR}"/gnat-Make-lang.in.patch
fi
mkdir -p "${GNATBUILD}"
@@ -476,10 +476,10 @@ gnatbuild_src_compile() {
debug-print-section make-tools
# Compile helper tools
cd "${GNATBOOT}"
- cp ${S}/gcc/ada/xtreeprs.adb .
- cp ${S}/gcc/ada/xsinfo.adb .
- cp ${S}/gcc/ada/xeinfo.adb .
- cp ${S}/gcc/ada/xnmake.adb .
+ cp "${S}"/gcc/ada/xtreeprs.adb .
+ cp "${S}"/gcc/ada/xsinfo.adb .
+ cp "${S}"/gcc/ada/xeinfo.adb .
+ cp "${S}"/gcc/ada/xnmake.adb .
gnatmake xtreeprs && \
gnatmake xsinfo && \
gnatmake xeinfo && \
@@ -562,7 +562,7 @@ gnatbuild_src_install() {
cd "${GNATBUILD}"
- make DESTDIR=${D} install || die
+ make DESTDIR="${D}" install || die
#make a convenience info link
dosym ${DATAPATH}/info/gnat_ugn_unw.info ${DATAPATH}/info/gnat.info